<?php

/**
 * Class TRN_XenLate_Listener_Index
 */
class TRN_XenLate_Listener_Index
{
	/**
	 * @param $hookName
	 * @param $contents
	 * @param array $hookParams
	 * @param XenForo_Template_Abstract $template
	 */
	public static function templateHook($hookName, &$contents, array $hookParams, XenForo_Template_Abstract $template)
	{
		if ($hookName == 'ad_sidebar_below_visitor_panel')
		{
			/** @var  $LatestWPPostsModel TRN_XenLate_Model_WPPosts */
			$LatestWPPostsModel = XenForo_Model::create('TRN_XenLate_Model_WPPosts');
			$LatestWPPosts      = $LatestWPPostsModel->getPosts();
			$LatestPosts     = $LatestWPPostsModel->preparePosts($LatestWPPosts);

			$viewParams = array(
				'latestposts' => $LatestPosts,
			); // Pass variables to template

			$trn_xenword_contents = $template->create('trn_xenlate_latestposts', $viewParams);
			$contents = $trn_xenword_contents . $contents;
		}
	}
}